
function Skinner:tekKompare()

	self:HookScript(GameTooltip, "OnTooltipSetItem", function(...)
		self.hooks[GameTooltip].OnTooltipSetItem(...)
			if not tekKompareTooltip1.skinned then 
				self:skinTooltip(tekKompareTooltip1)
				self:skinTooltip(tekKompareTooltip2)
				tekKompareTooltip1.skinned = true
			end
		end)
	self:HookScript(ItemRefTooltip, "OnTooltipSetItem", function(...)
		self.hooks[ItemRefTooltip].OnTooltipSetItem(...)
			if not tekKompareTooltip3.skinned then 
				self:skinTooltip(tekKompareTooltip3)
				self:skinTooltip(tekKompareTooltip4)
				tekKompareTooltip3.skinned = true
			end
		end)

end
